Subject: bug#15034: 24.3; emacs -mm is not maximized under Gnome 3

From: Petr Hracek <[email-masked]>
Date: Wed, 07 Aug 2013 13:55:14 +0200

I tested the problem in version 24.3 version and in trunk as well.
In both version problem is reproducible.

Configuration which was during in emacs building:
./configure --with-dbus --with-gif --with-jpeg --with-png --with-rsvg 
--with-tiff --with-xft --with-xpm --with-x-toolkit=gtk3 --with-gpm=no

On 08/06/2013 04:26 PM, Petr Hracek wrote:
> Dear developers,
>
> I have catch some strange behaviour on my desktop environment.
> When I used to Cinnamon that emacs -mm works perfectly and
> windows is maximized.
> But when I used Gnome 3 emacs -mm is not working.
>
> backtrace:
> (gdb) bt full
> #0  0x00000036a9eec999 in pselect () from /lib64/libc.so.6
> No symbol table info available.
> #1  0x0000000000520f99 in xg_select (fds_lim=13, rfds=0x7fff87654820, 
> wfds=0x7fff876547a0, efds=0x0, timeout=0x7fff87654780, sigmask=0x0) at 
> xgselect.c:48
>         all_rfds = {fds_bits = {15, 502202967, 1375798683, 364886793, 
> 0, -1, 140735464949120, 6141155, 27068288, 30313510, 1097488221632, 
> 12861586, 0, 498444795, 140735464949248, 5517569}}
>         all_wfds = {fds_bits = {12861586, 12861586, 0, -1, 0, 
> 498444795, 0, 498444795, 32342294, 12861586, 1375798683, 863331588, 2, 
> 0, -1, 12861586}}
>         tmo = {tv_sec = 140735464949120, tv_nsec = 5516837}
>         tmop = 0x7fff87654780
>         context = 0x14a1750
>         have_wfds = 1
>         gfds_buf = {{fd = -1407177212, events = 54, revents = 0}, {fd 
> = -1407140216, events = 54, revents = 0}, {fd = -2023407168, events = 
> 32767, revents = 0}, {fd = -2023407184, events = 32767, revents = 0}, 
> {fd = 45, events = 0,
>             revents = 0}, {fd = -2023407248, events = 32767, revents = 
> 0}, {fd = 0, events = 0, revents = 0}, {fd = 0, events = 0, revents = 
> 0}, {fd = -1593561088, events = 32596, revents = 0}, {fd = 
> -1155521227, events = 54,
>             revents = 0}, {fd = -1407132800, events = 54, revents = 
> 0}, {fd = -1155522608, events = 54, revents = 0}, {fd = 0, events = 5, 
> revents = 0}, {fd = 1490, events = 1, revents = 0}, {fd = 16, events = 
> 0, revents = 0}, {
>             fd = -2023406984, events = 32767, revents = 0}, {fd = 
> -2023407024, events = 32767, revents = 0}, {fd = 1, events = 0, 
> revents = 0}, {fd = 0, events = 0, revents = 0}, {fd = -1593594584, 
> events = 32596, revents = 0}, {
>             fd = -1593595440, events = 32596, revents = 0}, {fd = 
> -1449091153, events = 54, revents = 0}, {fd = 0, events = 0, revents = 
> 0}, {fd = 0, events = 0, revents = 0}, {fd = 5, events = 0, revents = 
> 0}, {fd = 0, events = 0,
>             revents = 0}, {fd = 1, events = 0, revents = 0}, {fd = 
> -1593595440, events = 32596, revents = 0}, {fd = 49, events = 65535, 
> revents = 65535}, {fd = 0, events = 0, revents = 0}, {fd = 
> -2023407168, events = 32767,
>             revents = 0}, {fd = 0, events = 0, revents = 0}, {fd = 0, 
> events = 0, revents = 0}, {fd = -1593594584, events = 32596, revents = 
> 0}, {fd = -2023407168, events = 32767, revents = 0}, {fd = 
> -2023407184, events = 32767,
>             revents = 0}, {fd = -1947455763, events = 0, revents = 0}, 
> {fd = -1432296339, events = 54, revents = 0}, {fd = -1, events = 0, 
> revents = 0}, {fd = 27073092, events = 0, revents = 0}, {fd = 4096, 
> events = 0, revents = 0}, {
>             fd = 6, events = 0, revents = 0}, {fd = 48, events = 0, 
> revents = 0}, {fd = 27072976, events = 0, revents = 0}, {fd = 0, 
> events = 0, revents = 0}, {fd = -1381974736, events = 54, revents = 
> 0}, {fd = 48, events = 0,
>             revents = 0}, {fd = 32347078, events = 0, revents = 0}, 
> {fd = 10679320, events = 0, revents = 0}, {fd = -1, events = 65535, 
> revents = 65535}, {fd = 12861586, events = 0, revents = 0}, {fd = 
> 28763088, events = 0,
>             revents = 0}, {fd = -2023406736, events = 32767, revents = 
> 0}, {fd = -2023406744, events = 32767, revents = 0}, {fd = 0, events = 
> 0, revents = 0}, {fd = 28763088, events = 0, revents = 0}, {fd = 
> -2023406736,
>             events = 32767, revents = 0}, {fd = -2023406744, events = 
> 32767, revents = 0}, {fd = 0, events = 0, revents = 0}, {fd = 
> 2147483647, events = 0, revents = 0}, {fd = -1075794720, events = 54, 
> revents = 0}, {fd = -1352518059,
>             events = 54, revents = 0}, {fd = 27068288, events = 0, 
> revents = 0}, {fd = -2023406928, events = 32767, revents = 0}, {fd = 
> 28763088, events = 0, revents = 0}, {fd = -2023406736, events = 32767, 
> revents = 0}, {
>             fd = -2023406744, events = 32767, revents = 0}, {fd = 
> -1352517927, events = 54, revents = 0}, {fd = 28749104, events = 0, 
> revents = 0}, {fd = -2023406736, events = 32767, revents = 0}, {fd = 
> -2023406744, events = 32767,
>             revents = 0}, {fd = -1352503570, events = 54, revents = 
> 0}, {fd = 0, events = 0, revents = 0}, {fd = 21632848, events = 0, 
> revents = 0}, {fd = -2023406744, events = 32767, revents = 0}, {fd = 
> 0, events = 0, revents = 0}, {
>             fd = 2147483647, events = 0, revents = 0}, {fd = 
> 1312994480, events = 61, revents = 0}, {fd = -2023406736, events = 
> 32767, revents = 0}, {fd = -1443852883, events = 54, revents = 0}, {fd 
> = 21632848, events = 0,
>             revents = 0}, {fd = -1021417728, events = 6, revents = 0}, 
> {fd = -2023406744, events = 32767, revents = 0}, {fd = -1406635391, 
> events = 54, revents = 0}, {fd = -2023406744, events = 32767, revents 
> = 0}, {fd = -1406891792,
>             events = 54, revents = 0}, {fd = 21632848, events = 0, 
> revents = 0}, {fd = -2023406736, events = 32767, revents = 0}, {fd = 
> -2023406744, events = 32767, revents = 0}, {fd = -1406635391, events = 
> 54, revents = 0}, {
>             fd = 21632848, events = 0, revents = 0}, {fd = 
> -1406895304, events = 54, revents = 0}, {fd = 21632848, events = 
> 65535, revents = 65535}, {fd = 0, events = 0, revents = 0}, {fd = 
> 21632848, events = 0, revents = 0}, {fd = 1,
>             events = 0, revents = 0}, {fd = 21632848, events = 0, 
> revents = 0}, {fd = 0, events = 0, revents = 0}, {fd = 28162752, 
> events = 0, revents = 0}, {fd = -1406635439, events = 54, revents = 
> 0}, {fd = 32342294, events = 0,
>             revents = 0}, {fd = 12861586, events = 0, revents = 0}, 
> {fd = 28162752, events = 0, revents = 0}, {fd = -1406635439, events = 
> 54, revents = 0}, {fd = 28162752, events = 25860, revents = 13173}, 
> {fd = 1375798683,
>             events = 0, revents = 0}, {fd = 1375798683, events = 0, 
> revents = 0}, {fd = 863331588, events = 0, revents = 0}, {fd = 
> -2023406512, events = 32767, revents = 0}, {fd = 6057199, events = 0, 
> revents = 0}, {fd = 0,
>             events = 0, revents = 0}, {fd = -2023406368, events = 
> 32767, revents = 0}, {fd = 1375798683, events = 0, revents = 0}, {fd = 
> 364886793, events = 0, revents = 0}, {fd = 1375798683, events = 0, 
> revents = 0}, {fd = 863331588,
>             events = 0, revents = 0}, {fd = 0, events = 0, revents = 
> 0}, {fd = 498444795, events = 0, revents = 0}, {fd = 1375798683, 
> events = 0, revents = 0}, {fd = 498444795, events = 43515, revents = 
> 7605}, {fd = 1375798683,
>             events = 0, revents = 0}, {fd = 0, events = 0, revents = 
> 0}, {fd = -2023406464, events = 32767, revents = 0}, {fd = 5615560, 
> events = 0, revents = 0}, {fd = 1375798683, events = 0, revents = 0}, 
> {fd = 364886793,
>             events = 0, revents = 0}, {fd = 0, events = 0, revents = 
> 0}, {fd = -1, events = 65535, revents = 65535}}
>         gfds = 0x7fff87654080
>         gfds_size = 128
>         n_gfds = 32767
>         retval = 0
>         our_fds = 0
>         max_fds = 12
>         i = 0
>         nfds = 0
>         tmo_in_millisec = 32767
>         sa_count = 3
>         sa_must_free = false
> #2  0x000000000062a3f6 in wait_reading_process_output (time_limit=28, 
> nsecs=0, read_kbd=-1, do_display=true, wait_for_cell=12861586, 
> wait_proc=0x0, just_wait_proc=0) at process.c:4633
>         timeout_reduced_for_timers = 1
>         channel = 1024
>         nfds = 0
>         Available = {fds_bits = {4160, 0 <repeats 15 times>}}
>         Writeok = {fds_bits = {0 <repeats 16 times>}}
>         check_write = 1
>         check_delay = 0
>         no_avail = 0
>         xerrno = 11
>         proc = 0
>         timeout = {tv_sec = 0, tv_nsec = 498444795}
>         end_time = {tv_sec = 1375798695, tv_nsec = 865923402}
>         wait_channel = -1
>         got_some_input = 1
>         count = 2
> #3  0x000000000042293b in sit_for (timeout=112, reading=true, 
> display_option=1) at dispnew.c:5978
>         sec = 28
>         nsec = 0
> ---Type <return> to continue, or q <return> to quit---
>         do_display = true
> #4  0x000000000053f79c in read_char (commandflag=1, nmaps=2, 
> maps=0x7fff87654d90, prev_event=12861586, 
> used_mouse_menu=0x7fff87654f67, end_time=0x0) at keyboard.c:2669
>         tem0 = 16984448
>         timeout = 28
>         delay_level = 4
>         buffer_size = 58
>         c = 12861586
>         jmpcount = 2
>         local_getcjmp = {{__jmpbuf = {16, 8475212826558657513, 
> 4284224, 140735464954000, 0, 0, 8475212826707555305, 
> -8475476234787425303}, __mask_was_saved = 0, __saved_mask = {__val = 
> {0, 140735464950768, 12861538, 140735464950784,
>                 12967755, 12861586, 17107730, 140735464949824, 
> 579833446498, 140735464950944, 12861586, 140735464950896, 6127472, 1, 
> 9876077, 17107730}}}}
>         save_jump = {{__jmpbuf = {0, 0, 0, 0, 0, 0, 0, 0}, 
> __mask_was_saved = 0, __saved_mask = {__val = {0 <repeats 16 times>}}}}
>         tem = 4
>         save = 14153216
>         previous_echo_area_message = 12861586
>         also_record = 12861586
>         reread = false
>         gcpro1 = {next = 0x7fff87654ad0, var = 0x63f3ed 
> <validate_interval_range+740>, nvars = 0}
>         gcpro2 = {next = 0xc4ded2, var = 0x139ed72, nvars = 12861634}
>         polling_stopped_here = false
>         orig_kboard = 0x1abe330
> #5  0x000000000054be5a in read_key_sequence (keybuf=0x7fff876551e0, 
> bufsize=30, prompt=12861586, dont_downcase_last=false, 
> can_return_switch_frame=true, fix_current_buffer=true) at keyboard.c:9231
>         interrupted_kboard = 0x1abe330
>         interrupted_frame = 0x124bb10
>         key = 12978306
>         used_mouse_menu = false
>         echo_local_start = 0
>         last_real_key_start = 0
>         keys_local_start = 0
>         local_first_binding = 1
>         from_string = 12861586
>         count = 2
>         t = 0
>         echo_start = 0
>         keys_start = 0
>         nmaps = 2
>         nmaps_allocated = 2
>         defs = 0x7fff87654d70
>         submaps = 0x7fff87654d90
>         orig_local_map = 12861586
>         orig_keymap = 12861586
>         localized_local_map = 0
>         first_binding = 1
>         first_unbound = 31
>         mock_input = 0
>         fkey = {parent = 19862694, map = 19862694, start = 0, end = 0}
>         keytran = {parent = 12840374, map = 12840374, start = 0, end = 0}
>         indec = {parent = 19862678, map = 19862678, start = 0, end = 0}
>         shift_translated = false
>         delayed_switch_frame = 12861586
>         original_uppercase = 0
>         original_uppercase_position = -1
>         dummyflag = false
>         starting_buffer = 0x1bb1640
>         fake_prefixed_keys = 12861586
>         gcpro1 = {next = 0xc440c2, var = 0xc44092, nvars = 12861586}
> #6  0x000000000053d075 in command_loop_1 () at keyboard.c:1459
>         cmd = 17040882
>         keybuf = {52, 14153312, 8, 1375770134, 12888384, 12979344, 
> 140735464952368, 6012999, 140735464952400, 12861586, 140735464952448, 
> 6015368, 12861586, 12979346, 276967387, 0, 12654096, 17017138, 
> 140735464952016, 12979344,
>           140735464952592, 6129238, 16178310, 2, 12979346, 12861586, 
> 0, 0, 17017138, 12979344}
>         i = 1
>         prev_modiff = 43
>         prev_buffer = 0xd7f660
>         already_adjusted = false
> #7  0x00000000005d4355 in internal_condition_case (bfun=0x53cc94 
> <command_loop_1>, handlers=12913266, hfun=0x53c585 <cmd_error>) at 
> eval.c:1289
>         val = 1
> ---Type <return> to continue, or q <return> to quit---
>         c = {tag = 12861586, val = 12861586, next = 0x7fff87655520, 
> gcpro = 0x0, jmp = {{__jmpbuf = {0, 8475212827349283817, 4284224, 
> 140735464954000, 0, 0, 8475212827565290473, -8475476146159291415}, 
> __mask_was_saved = 0,
>               __saved_mask = {__val = {9971267927550260201, 
> 140733193388032, 0, 140733193388033, 234776306184, 22, 9278096, 0, 
> 140735464954000, 0, 0, 140735464953408, 234774128806, 1, 0, 
> 4294967295}}}}, backlist = 0x0,
>           handlerlist = 0x0, lisp_eval_depth = 0, pdlcount = 2, 
> poll_suppress_count = 1, interrupt_input_blocked = 0, byte_stack = 0x0}
>         h = {handler = 12913266, var = 12861586, chosen_clause = 
> 12913266, tag = 0x7fff876553a0, next = 0x0}
> #8  0x000000000053c9b0 in command_loop_2 (ignore=12861586) at 
> keyboard.c:1168
>         val = 0
> #9  0x00000000005d3d32 in internal_catch (tag=12909106, func=0x53c98a 
> <command_loop_2>, arg=12861586) at eval.c:1060
>         c = {tag = 12909106, val = 12861586, next = 0x0, gcpro = 0x0, 
> jmp = {{__jmpbuf = {0, 8475212827399615465, 4284224, 140735464954000, 
> 0, 0, 8475212827357672425, -8475476147158977559}, __mask_was_saved = 
> 0, __saved_mask = {
>                 __val = {0, 140735464953312, 0, 472446402651, 0, 
> 140735464953376, 6014352, 139644543260127, 12861586, 12861586, 
> 13081842, 14, 0, 12206384, 12888384, 140735464953424}}}}, backlist = 
> 0x0, handlerlist = 0x0,
>           lisp_eval_depth = 0, pdlcount = 2, poll_suppress_count = 1, 
> interrupt_input_blocked = 0, byte_stack = 0x0}
> #10 0x000000000053c95e in command_loop () at keyboard.c:1147
> No locals.
> #11 0x000000000053c0d5 in recursive_edit_1 () at keyboard.c:779
>         count = 1
>         val = 12861586
> #12 0x000000000053c278 in Frecursive_edit () at keyboard.c:843
>         count = 0
>         buffer = 12861586
> #13 0x000000000053a123 in main (argc=2, argv=0x7fff87655898) at 
> emacs.c:1528
>         dummy = 140735464953664
>         stack_bottom_variable = 0 '\000'
>         do_initial_setlocale = true
>         dumping = false
>         skip_args = 0
>         rlim = {rlim_cur = 8720000, rlim_max = 18446744073709551615}
>         no_loadup = false
>         junk = 0x0
>         dname_arg = 0x0
>         ch_to_dir = 0x36aac17148 <[email-masked]> 
> "\360\306\356\251\066"
> (gdb)
>
>
> In GNU Emacs 24.3.1 (x86_64-redhat-linux-gnu, GTK+ Version 3.8.2)
>  of 2013-07-22 on kiasportyw
> Windowing system distributor `Fedora Project', version 11.0.11402000
> Configured using:
>  `configure '--build=x86_64-redhat-linux-gnu'
>  '--host=x86_64-redhat-linux-gnu' '--program-prefix='
>  '--disable-dependency-tracking' '--prefix=/usr' '--exec-prefix=/usr'
>  '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc'
>  '--datadir=/usr/share' '--includedir=/usr/include'
>  '--libdir=/usr/lib64' '--libexecdir=/usr/libexec'
>  '--localstatedir=/var' '--sharedstatedir=/var/lib'
>  '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-dbus'
>  '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff'
>  '--with-xft' '--with-xpm' '--with-x-toolkit=gtk3' '--with-gpm=no'
>  'build_alias=x86_64-redhat-linux-gnu'
>  'host_alias=x86_64-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g
>  -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
>  --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mtune=generic'
>  'LDFLAGS=-Wl,-z,relro ''
>
> Important settings:
>   value of $LANG: en_US.UTF-8
>   value of $XMODIFIERS: @im=ibus
>   locale-coding-system: utf-8-unix
>   default enable-multibyte-characters: t
>
> Major mode: Fundamental
>
> Minor modes in effect:
>   tooltip-mode: t
>   mouse-wheel-mode: t
>   tool-bar-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   blink-cursor-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   buffer-read-only: t
>   line-number-mode: t
>   transient-mark-mode: t
>
> Recent input:
> <help-echo> <help-echo> <help-echo> <help-echo> <help-echo>
> <help-echo> <help-echo> <menu-bar> <help-menu> <se
> nd-emacs-bug-report>
>
> Recent messages:
> Loading 
> /usr/share/emacs/site-lisp/site-start.d/desktop-entry-mode-init.el 
> (source)...done
> Loading /usr/share/emacs/site-lisp/site-start.d/rpm-spec-mode-init.el 
> (source)...done
> Loading /usr/share/emacs/site-lisp/site-start.d/rpmdev-init.el 
> (source)...done
> Loading /usr/share/emacs/site-lisp/site-start.d/systemtap-init.el 
> (source)...done
> For information about GNU Emacs and the GNU system, type C-h C-a.
>
> Load-path shadows:
> None found.
>
> Features:
> (shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
> easymenu mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231
> mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
> mm-util mail-prsvr mail-utils time-date tooltip ediff-hook vc-hooks
> lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image regexp-opt
> fringe tabulated-list newcomment lisp-mode register page menu-bar
> rfn-eshadow timer select scroll-bar mouse jit-lock font-lock syntax
> facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
> tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
> czech european ethiopic indian cyrillic chinese case-table epa-hook
> jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
> cus-face macroexp files text-properties overlay sha1 md5 base64 format
> env code-pages mule custom widget hashtable-print-readable backquote
> make-network-process dbusbind dynamic-setting system-font-setting
> font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)
>

-- 
Best regards / S pozdravem
Petr Hracek